import { __rest } from "tslib";
import { jsx as _jsx } from "react/jsx-runtime";
import MuiGrid from '@mui/material/Unstable_Grid2';
import clsx from 'clsx';
import { forwardRef } from 'react';
/**
 * The Grid adapts to screen size and orientation, ensuring consistency across layouts.
 *
 * Demos:
 *
 * - [Grid (Oxygen UI)](https://wso2.github.io/oxygen-ui/react/?path=/docs/layout-grid)
 * - [Grid (MUI)](https://mui.com/material-ui/react-grid2/)
 *
 * API:
 *
 * - [Grid API](https://mui.com/material-ui/api/grid-2/)
 *
 * @remarks
 * - ✔️ Props of the native component are also available.
 * - ✅ `component` prop is supported.
 * - ✅ The `ref` is forwarded to the root element.
 *
 * @template C - The type of the component.
 * @param props - The props for the FormControl component.
 * @param ref - The ref to be forwarded to the MuiFormControl component.
 * @returns The rendered FormControl component.
 */
const Grid = forwardRef((_a, ref) => {
    var { className } = _a, rest = __rest(_a, ["className"]);
    return (_jsx(MuiGrid, Object.assign({ ref: ref, className: clsx(
        /* @deprecated Use the PascalCase classname instead. https://github.com/wso2/oxygen-ui/issues/274 */
        'oxygen-grid', 'OxygenGrid-root', className) }, rest)));
});
export default Grid;
