/**
 * Copyright (c) 2023, WSO2 LLC. (https://www.wso2.com).
 *
 * WSO2 LLC. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
export interface Country {
    /**
     * Country code.
     * @example "AF"
     * @see {@link https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2}
     */
    code: string;
    /**
     * Country dial code.
     * @example "+93"
     */
    dialCode: string;
    /**
     * Country name.
     */
    name: string;
}
export declare const countries: readonly Country[];
